﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@model CyberaniumModels.IRA

<style>
    .orgmap li::before {
        border-left: none !important;
    }

    .orgmap li::after {
        border-top: none !important;
        height: 20px;
        top: 30px;
        width: 55px;
    }

    .orgmap li span.text {
        max-width: 350px !important;
    }

    .orgmap li span.icon {
        margin-top: 0px !important;
    }

    .btnsubmit input {
        float: right;
        padding: 8px 16px;
        border: none;
        background: #414141;
        color: #fff;
        text-align: center;
        font-size: 14px;
        -o-transition: 0.3s;
        -moz-transition: 0.3s;
        -webkit-transition: 0.3s;
        transition: 0.3s;
    }
</style>

<script>
    function fn_GetTypeOfCategory(CategoryID, input) {
        if ($('.addApplications').hasClass("active")) {
            $('.addApplications').removeClass("active");
            //$(".selectOrganization ul li").removeClass("cccc");
            setTimeout(() => {
                $('.addApplications').removeClass("in");
                //    $('#tblApplications').empty();
            }, 300);
            setTimeout(() => {
                $('.addApplications').addClass("in");
                //$(".selectOrganization ul li").removeClass("active");
                setTimeout(() => {
                    $('.addApplications').addClass("active");
                    //$('#txtHeading').html(name);
                    $(".selectOrganization ul li").removeClass('activeli');
                    $(input).addClass('activeli');
                    animationbox(CategoryID)
                }, 400);
            }, 400);
        } else {
            $('.addApplications').addClass("in");
            //$(".selectOrganization ul li").removeClass("active");
            setTimeout(() => {
                $('.addApplications').addClass("active");
                //$('#txtHeading').html(name);
                //$(input2).parent().parent().addClass('active');
                animationbox(input)
            }, 200);
        }
    }
    function animationbox(CategoryID) {
        $(".clsEnablerType").empty();
        $.ajax({
            url: "/ApplicationManagement/IRA/GetTypeOfCategory",
            type: "POST",
            data: { OrgId: $("#OrgId").val(), CategoryID: CategoryID },
            success: function (result) {
                $(".clsEnablerType").append(result);
                $(".addApplications").show();
            },
            error: function (ex) {
                console.log(ex.responseText);
            }
        })
    }
    function fn_openPopup(CategoryId, QuestionId, QuestionnaireID) {
        $.ajax({
            url: "/ApplicationManagement/IRA/GetAssignedEnalbersCategory",
            type: "POST",
            data: { QuestionnaireID: QuestionnaireID },
            success: function (result) {
                debugger
                if (result.length > 0) {
                    debugger
                    var Str = result[0].strCompletedDate.split('/');
                    if (Str[1].length <= 1) {
                        Str[1] = '0' + Str[1];
                    }
                    if (Str[0].length <= 1) {
                        Str[0] = '0' + Str[0];
                    }
                    var tt = Str[2] + "-" + Str[1] + "-" + Str[0];
                    $("#CompletedDate").val(Str[2] + "-" + Str[1] + "-" + Str[0]);
                    $("#AssessorID").val(result[0].assessorID);
                    $("#ID").val(result[0].id);
                } else {
                    $("#AssessorID").val('');
                    $("#CompletedDate").val('');
                }
            },
            error: function (ex) {
                console.log(ex.responseText);
            }
        })
        $("#CategoryId").val(CategoryId);
        $("#QuestionId").val(QuestionId);
        $("#QuestionnaireID").val(QuestionnaireID);
        $("#AssignCatType").modal('show');
        $(".modal-backdrop").addClass('in');
    }
    function fn_saveAssignCatType() {
        $('#preloader').show();
        var orgName = $('#OrgName').val();
        var assessorID = $.isNumeric($('#AssessorID').val()) ? Number($('#AssessorID').val()) : 0;
        if (!assessorID > 0) {
            toastr.warning('Please select assessor!');
            return false;
        }
        if ($("#CompletedDate").val() == '') {
            toastr.warning('Please select completed by date!');
            return false;
        }
        var model = {
            AssessorID: assessorID,
            ID: Number($("#ID").val()),
            OrgId: Number($('#OrgId').val()),
            CategoryId: Number($('#CategoryId').val()),
            QuestionId: Number($('#QuestionId').val()),
            strCompletedDate: $("#CompletedDate").val(),
            QuestionnaireID: Number($("#QuestionnaireID").val()),
        }
        $.post('/ApplicationManagement/IRA/SaveEnablerAssessment', { model: model }, res => {
            if (res.isSuccess) {
                $(".modal-backdrop").remove();
                $("#AssignCatType").modal('hide');
                toastr.success('Assigned successfully.');
                $.get('/ApplicationManagement/IRA/AssEnabler', { orgId: Number($('#OrgId').val()), orgName: orgName }, res => $('#ajaxresult').html(res))
            } else toastr.error('Something went wrong!');
            $('#preloader').hide();
        })
    }
    $(".orgmap .text").click(function () {
        $(this).parent().parent().toggleClass("inactive");
    })
</script>

<section>
    <div class="right_section">
        @Html.HiddenFor(x => x.StartDate)
        @Html.HiddenFor(x => x.EndDate)
        @Html.HiddenFor(x => x.ID)
        @Html.HiddenFor(x => x.OrgId)
        @Html.HiddenFor(x => x.CategoryId)
        @Html.HiddenFor(x => x.QuestionId)
        @Html.HiddenFor(x => x.QuestionnaireID)
        <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">
            Enabler Assessment for @Model.OrgName
            @if (Model.IsTask)
            {
                <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="GovernanceReports" asp-controller="Landing" asp-area="Dashboard">Back to Menu</a>
            }
            else
            {
                <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="TabMenu" asp-controller="IRA" asp-area="ApplicationManagement" asp-route-orgId="@Model.OrgId" asp-route-orgName="@Model.OrgName">Back to Menu</a>
            }
        </div>
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="row">
                        <div class="col-sm-4">
                            <h2 class="h2class">Enalbers Assigned to You</h2>
                            <div class="boxgrey">
                                <div class="boxone">
                                    <div class="col">
                                        <ul class="orgmap">
                                            @if (Model.AssignedEnablerCategoryList.Count > 0)
                                            {
                                                @foreach (var item in Model.AssignedEnablerCategoryList)
                                                {
                                                    var length = Model.AssignedEnablerCategoryTypeList.Where(x => x.CategoryId == item.CategoryId && x.CompletedDate.Date >= DateTime.Now.Date).Count();
                                                    if (length > 0)
                                                    {
                                                        <li class="first inactive">
                                                            <div>
                                                                <span class="text">@item.CategoryName</span>
                                                            </div>
                                                            <ul style="margin-top: 10px">
                                                                @foreach (var _item in Model.AssignedEnablerCategoryTypeList.Where(x => x.CategoryId == item.CategoryId))
                                                                {
                                                                    if (DateTime.Now.Date <= _item.CompletedDate.Date)
                                                                    {
                                                                        <li>
                                                                            <div>
                                                                                <span><span style="font-size:larger;font-weight:bold;">!</span>@_item.CategoryName</span>
                                                                                <span class="icon">
                                                                                    <a href="#" onclick="$.get('/ApplicationManagement/RiskAssessment/Index', { orgId:@Model.OrgId, CategoryId:@_item.CategoryId, QuestionnaireID:@_item.QuestionnaireID, EnablerName: '@_item.CategoryName', orgName: '@Model.OrgName' }, function (res) { $('#ajaxresult').html(res) })">
                                                                                        <img src="~/Image/CreateOrganogram/Triangle2.png" />
                                                                                    </a>
                                                                                </span>
                                                                            </div>
                                                                        </li>
                                                                    }
                                                                }
                                                            </ul>
                                                        </li>
                                                    }
                                                }
                                            }
                                            else
                                            {
                                                <li>You do not have any assigned Enabler</li>
                                            }
                                        </ul>
                                    </div>
                                </div>
                                @if (Model.RoleId == 4)
                                {
                                    <div class="tabanchor">
                                        <p>Other Enablers</p>
                                        <div class="col boxone2 selectOrganization">
                                            <ul class="orgmap">
                                                @foreach (var item in Model.CategoryList)
                                                {
                                                    <li class="first" onclick="fn_GetTypeOfCategory(@item.CategoryId,this)">
                                                        <div>
                                                            <span class="text">
                                                                @item.CategoryName
                                                                <span class="icon">
                                                                    <img src="~/Image/CreateOrganogram/User.png" />
                                                                </span>
                                                            </span>
                                                        </div>
                                                    </li>
                                                }
                                            </ul>
                                        </div>
                                    </div>
                                }
                            </div>
                        </div>
                        <div class="col-sm-8" style="padding-top:200px">
                            <div class="addApplications pd30 in active" style="display: none;">
                                <div class="applicationList table_control">
                                    <div class="clsEnablerType">

                                    </div>
                                    <div class="row">
                                        <div class="col-12 p-2">
                                            <span class="icon">
                                                <img src="~/Image/CreateOrganogram/Trangle_Warning.png" />
                                            </span>
                                            <label>Un assigned </label>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-6 p-2">
                                            <span class="icon">
                                                <img src="~/Image/CreateOrganogram/AccountMgtClient.png" height="42" width="32" />
                                            </span>
                                            <label>Assigned </label>
                                        </div>
                                        <div class="col-6 p-2">
                                            <div class="btnsubmit">
                                                <input type="submit" name="name" value="OK" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="AssignCatType" tabindex="-1" role="dialog" aria-labelledby="AssignCatType" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="pb-2 mt-4 mb-2 border-bottom box_title pl-2">
                Assign
            </div>
            <div class="modal-body">
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.Label("Assessor")
                    </div>
                    <div class="col-md-8 col-sm-6 col-xs-12">
                        @Html.DropDownListFor(m => m.AssessorID, Model.ddlAssessor, "--Select--", new { @class = "form-control m_no", required = "required" })
                    </div>
                </div>
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.Label("To be completed by")
                    </div>
                    <div class="col-md-8 col-sm-6 col-xs-12">
                        <input type="date" class="form-control" id="CompletedDate" min="@Model.StartDate.ToString("yyyy-MM-dd")" max="@Model.EndDate.ToString("yyyy-MM-dd")" />
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" onclick="return fn_saveAssignCatType()">OK</button>
            </div>
        </div>
    </div>
</div>
